Index: trunk/admin/modules/Elezioni/ele_gruppo.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_gruppo.php	(revision 252)
+++ trunk/admin/modules/Elezioni/ele_gruppo.php	(revision 257)
@@ -15,7 +15,6 @@
 // Offset - visualizza il numero di elementi per pagina
 $offset=5;
-
+global $dbi;
 $aid=$_SESSION['aid'];
-$dbi=$_SESSION['dbi'];
 $prefix=$_SESSION['prefix'];
 $currentlang=$_SESSION['lang'];
@@ -25,6 +24,8 @@
 if ($perms<32 or !$id_cons_gen) die("Non hai i permessi per inserire dati, o non hai scelto la consultazione!");
 $id_comune=$_SESSION['id_comune'];
-$res = mysql_query("SELECT t1.tipo_cons,t2.id_cons FROM ".$prefix."_ele_consultazione as t1, ".$prefix."_ele_cons_comune as t2 where t1.id_cons_gen=t2.id_cons_gen and t2.id_cons_gen='$id_cons_gen' and t2.id_comune='$id_comune' " , $dbi);
-list($tipo_cons,$id_cons) = mysql_fetch_row($res);
+$sql="SELECT t1.tipo_cons,t2.id_cons FROM ".$prefix."_ele_consultazione as t1, ".$prefix."_ele_cons_comune as t2 where t1.id_cons_gen=t2.id_cons_gen and t2.id_cons_gen='$id_cons_gen' and t2.id_comune='$id_comune' ";
+$res = $dbi->prepare("$sql");
+$res->execute();				
+list($tipo_cons,$id_cons) = $res->fetch(PDO::FETCH_NUM);
 
 include("modules/Elezioni/funzionidata.php");
@@ -48,15 +49,19 @@
 	function all() {
    		global $delsimb,$delprog,$tipo_cons,$param,$currentlang, $bgcolor1, $bgcolor2, $prefix, $dbi, $offset, $min, $id_cons,$id_cons_gen,$id_comune,$id_circ,$do,$id_gruppo;
-	$res = mysql_query("SELECT circo FROM ".$prefix."_ele_tipo where tipo_cons='$tipo_cons' and lingua='$currentlang'", $dbi);
-	list($cons_circ)= mysql_fetch_row($res);
+	$sql="SELECT circo FROM ".$prefix."_ele_tipo where tipo_cons='$tipo_cons' and lingua='$currentlang'";
+	$res = $dbi->prepare("$sql");
+	$res->execute();				
+	list($cons_circ)= $res->fetch(PDO::FETCH_NUM);
 	if($cons_circ)
 	{
 		echo "<form name=\"circo\" action=\"admin.php\" method=\"post\">";
 		echo "<br><table border=\"1\" width=\"50%\" ><tr bgcolor=\"$bgcolor1\"><td>"._SCEGLI_CIRCO.": </td>";
-		$res = mysql_query("SELECT * FROM ".$prefix."_ele_circoscrizione where id_cons='$id_cons'", $dbi);
+		$sql="SELECT * FROM ".$prefix."_ele_circoscrizione where id_cons='$id_cons'";
+		$res = $dbi->prepare("$sql");
+		$res->execute();						
 		echo "<input type=\"hidden\" name=\"pag\" value=\"admin.php?op=gruppo&amp;id_cons_gen=$id_cons_gen&amp;id_circ=\">";
 		echo "<td><select name=\"id_circ\" onChange=\"top.location.href=this.form.pag.value+this.form.id_circ.options[this.form.id_circ.selectedIndex].value;return false\">";
 		echo "<option value=\"\">";
-		while($arr=mysql_fetch_array($res,3)){
+		while($arr=$res->fetch(PDO::FETCH_BOTH)){
 			if (!$id_circ) $id_circ=$arr['id_circ'];
 			$sel= ($arr['id_circ'] == $id_circ) ? "selected":"";
@@ -87,11 +92,15 @@
 	//-----------------------visualizza riga superiore per inserimento -
 	$circo= $cons_circ==1 ? "and id_circ='$id_circ'":"";	
-	$res = mysql_query("SELECT * FROM ".$prefix."_ele_gruppo where id_cons='$id_cons' $circo ", $dbi);
-	$max = mysql_num_rows($res);
+	$sql="SELECT * FROM ".$prefix."_ele_gruppo where id_cons='$id_cons' $circo ";
+	$res = $dbi->prepare("$sql");
+	$res->execute();						
+	$max = $res->rowCount();
 	$nuovo_gruppo=$max+1;
 	echo "<tr><td>";
 	if ($do=='modify') {
-	$resl = mysql_query("SELECT * FROM ".$prefix."_ele_gruppo where id_gruppo='$id_gruppo'", $dbi);
-	$gru=mysql_fetch_array($resl);
+	$sql="SELECT * FROM ".$prefix."_ele_gruppo where id_gruppo='$id_gruppo'";
+	$resl = $dbi->prepare("$sql");
+	$resl->execute();						
+	$gru=$resl->fetch(PDO::FETCH_BOTH);
 	$nuovo_gruppo=$gru['num_gruppo'];
 	echo "<input type=\"hidden\" name=\"do\" value=\"update\">";
@@ -126,10 +135,16 @@
 		
 		
-	$res = mysql_query("SELECT * FROM ".$prefix."_ele_gruppo where id_cons='$id_cons' $circo ", $dbi);
-	$max = mysql_num_rows($res);
-	$result = mysql_query("select * from ".$prefix."_ele_gruppo where id_cons='$id_cons' $circo ORDER BY num_gruppo  LIMIT $min,$offset", $dbi);
-	while(list($id_cons2,$id_gruppo,$num_gruppo, $descr_gruppo, $simbolo,,, $prognome) = mysql_fetch_row($result)) {
-		$restemp = mysql_query("select count(0) from ".$prefix."_ele_lista where id_gruppo='$id_gruppo'", $dbi);
-		list($numtemp)=mysql_fetch_row($restemp);
+	$sql="SELECT * FROM ".$prefix."_ele_gruppo where id_cons='$id_cons' $circo ";
+	$res = $dbi->prepare("$sql");
+	$res->execute();						
+	$max = $res->rowCount();
+	$sql="select * from ".$prefix."_ele_gruppo where id_cons='$id_cons' $circo ORDER BY num_gruppo  LIMIT $min,$offset";
+	$result = $dbi->prepare("$sql");
+	$result->execute();						
+	while(list($id_cons2,$id_gruppo,$num_gruppo, $descr_gruppo, $simbolo,,, $prognome) = $result->fetch(PDO::FETCH_NUM)) {
+		$sql="select count(0) from ".$prefix."_ele_lista where id_gruppo='$id_gruppo'";
+		$restemp = $dbi->prepare("$sql");
+		$restemp->execute();						
+		list($numtemp)=$restemp->fetch(PDO::FETCH_NUM);
 		$bgcolor1=($bgcolor1==$_SESSION['bgcolor1'])?$_SESSION['bgcolor2']:$_SESSION['bgcolor1'];
 		if (!$simbolo) $simbolo="nulla.jpg";
@@ -183,22 +198,38 @@
 	if ($perms >16) {
        	if ($do == "delete") {  
-     			if ($ok !="1") {
+     		if ($ok !="1") {
 				ele();
 				echo "<center><br><br>"._DOMCANCELLA." "._GRUPPO." $descr_gruppo ?<br>";
 				echo "[ <a href=\"admin.php?op=gruppo&amp;id_cons_gen=$id_cons_gen&amp;id_circ=$id_circ\">"._NO."</a> ] - [<a href=\"admin.php?op=gruppo&amp;do=delete&amp;id_gruppo=$id_gruppo&amp;id_cons_gen=$id_cons_gen&amp;id_comune=$id_comune&amp;min=$min&amp;ok=1\">"._YES."</a> ]";exit;
-     			}else{
-				$reslis = mysql_query("select id_lista from ".$prefix."_ele_lista where id_gruppo='$id_gruppo'", $dbi);
-				while (list($idlst)=mysql_fetch_row($reslis)){
-				$rescan = mysql_query("select id_cand from ".$prefix."_ele_candidato where id_lista='$idlst'", $dbi);
-				while (list($idcnd)=mysql_fetch_row($rescan)){
-					mysql_query("delete from  ".$prefix."_ele_voti_candidati where id_cand='$idcnd'");
-					mysql_query("delete from  ".$prefix."_ele_candidati where id_cand='$idcnd'");
+     		}else{
+				$sql="select id_lista from ".$prefix."_ele_lista where id_gruppo='$id_gruppo'";
+				$reslis = $dbi->prepare("$sql");
+				$reslis->execute();						
+				while (list($idlst)=$reslis->fetch(PDO::FETCH_NUM)){
+					$sql="select id_cand from ".$prefix."_ele_candidato where id_lista='$idlst'";
+					$rescan = $dbi->prepare("$sql");
+					$rescan->execute();						
+					while (list($idcnd)=$rescan->fetch(PDO::FETCH_NUM)){
+						$sql="delete from  ".$prefix."_ele_voti_candidati where id_cand='$idcnd'";
+						$res = $dbi->prepare("$sql");
+						$res->execute();						
+						$sql="delete from  ".$prefix."_ele_candidati where id_cand='$idcnd'";
+						$res = $dbi->prepare("$sql");
+						$res->execute();						
+					}
+					$sql="delete from  ".$prefix."_ele_voti_lista where id_lista='$idlst'";
+					$res = $dbi->prepare("$sql");
+					$res->execute();						
+					$sql="delete from  ".$prefix."_ele_lista where id_lista='$idlst'";
+					$res = $dbi->prepare("$sql");
+					$res->execute();						
 				}
-				mysql_query("delete from  ".$prefix."_ele_voti_lista where id_lista='$idlst'");
-				mysql_query("delete from  ".$prefix."_ele_lista where id_lista='$idlst'");
-				}
-				$result = mysql_query("delete from ".$prefix."_ele_voti_gruppo where id_gruppo='$id_gruppo'", $dbi);
-				$result = mysql_query("delete from ".$prefix."_ele_gruppo where id_gruppo='$id_gruppo'", $dbi);
-          			if (!$result) return;
+				$sql="delete from ".$prefix."_ele_voti_gruppo where id_gruppo='$id_gruppo'";
+				$res = $dbi->prepare("$sql");
+				$res->execute();						
+				$sql="delete from ".$prefix."_ele_gruppo where id_gruppo='$id_gruppo'";
+				$res = $dbi->prepare("$sql");
+				$res->execute();						
+         		if (!$result) return;
 				Header("Location: admin.php?op=gruppo&id_cons_gen=$id_cons_gen&id_circ=$id_circ&min=$min");
 			}
@@ -230,6 +261,8 @@
 					$prognome=addslashes($nomeprog );
 				}
-      				$result = mysql_query("insert into ".$prefix."_ele_gruppo (id_cons,id_gruppo,num_gruppo,descrizione,simbolo,stemma,id_circ,prognome,programma) values ('$id_cons','$id_gruppo','$num_gruppo','$descr_gruppo','$stemmanome','$stemmablob','$id_circ','$prognome','$progblob')", $dbi);
-           			if (!$result) return;
+      			$sql="insert into ".$prefix."_ele_gruppo (id_cons,id_gruppo,num_gruppo,descrizione,simbolo,stemma,id_circ,prognome,programma) values ('$id_cons','$id_gruppo','$num_gruppo','$descr_gruppo','$stemmanome','$stemmablob','$id_circ','$prognome','$progblob')";
+ 				$result = $dbi->prepare("$sql");
+				$result->execute();						
+          			if (!$result->rowCount()) return;
            			Header("Location: admin.php?op=gruppo&id_cons_gen=$id_cons_gen&id_circ=$id_circ&min=$min");
      			} else {
@@ -276,5 +309,7 @@
 					else $cond2='';
 			}
-         		$result = mysql_query("update  ".$prefix."_ele_gruppo set num_gruppo='$num_gruppo' , descrizione='$descr_gruppo' $cond $cond2 where id_gruppo='$id_gruppo' ", $dbi) || die("Errore di aggiornamento dei dati!".mysql_error());
+         		$sql="update  ".$prefix."_ele_gruppo set num_gruppo='$num_gruppo' , descrizione='$descr_gruppo' $cond $cond2 where id_gruppo='$id_gruppo' ";
+ 				$result = $dbi->prepare("$sql");
+				$result->execute();						
 			Header("Location: admin.php?op=gruppo&id_cons_gen=$id_cons_gen&id_circ=$id_circ&min=$min");
    		}
